xmonad-contrib-0.13: Third party extensions for xmonad

Safe Haskell | None
Language | Haskell98

XMonad.Util.NoTaskbar

Contents

- Usage

Synopsis

- noTaskbar :: ManageHook
- markNoTaskbar :: Window -> X ()

# Usage

Utility functions to hide windows from pagers and taskbars. Mostly useful when EWMH doesn't do what you intend (e.g. for `NamedScratchpad` windows you probably don't want to be dumped into the `NSP` workspace).

noTaskbar :: ManageHook #

A `ManageHook` to mark a window to not be shown in pagers or taskbars.

markNoTaskbar :: Window -> X () #

An `X` action to mark a window to not be shown in pagers or taskbars.